"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NumberInputStepper = exports.default = void 0;

var _tools = require("../tools");

const defaultProps = {
  size: 'sm',
  step: 1,
  min: -Infinity,
  max: Infinity,
  defaultValue: '0',
  keepWithinRange: true,
  clampValueOnBlur: true,
  focusInputOnChange: true,
  getAriaValueText: true
};
var _default = {
  defaultProps
}; //Steppers

exports.default = _default;

const stepperbaseStyle = props => {
  return {
    bg: 'transparent',
    iconColor: (0, _tools.mode)('gray.600', 'gray.200')(props),
    _active: {},
    _disabled: {
      iconColor: (0, _tools.mode)('gray.500', 'gray.300')(props),
      bg: (0, _tools.mode)('blackAlpha.200', 'whiteAlpha.300')(props)
    }
  };
};

const NumberInputStepper = {
  baseStyle: stepperbaseStyle
};
exports.NumberInputStepper = NumberInputStepper;
//# sourceMappingURL=number-input.js.map